package com.iden.common.facetool.pool;

import com.face.monitor.FaceMonitor;

import com.iden.common.util.CommonConfUtil;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;


public class MyFaceMonitor {
    private static final Logger logger = LogManager.getLogger(MyFaceMonitor.class);
    private FaceMonitor faceMonitor;


    public MyFaceMonitor() {
        synchronized (this) {
            if( this.faceMonitor == null) {
                String idenRoot = CommonConfUtil.getConf("iden.root");
                //初始化引擎
                logger.info("init one FaceMonitor--idenRoot==" + idenRoot);
                this.faceMonitor = new FaceMonitor();
                faceMonitor.init(idenRoot + "face/model", 0);
            }
        }
    }

    public FaceMonitor getFaceMonitor() {
        return this.faceMonitor;
    }

}